package parser

import "github.com/mmakaay/toml/parsekit"

// Values must be of the following types: String, Integer, Float, Boolean,
// Datetime, Array, or Inline Table. Unspecified values are invalid.
func stateValue(p *parsekit.P) {
	p.SkipConsecutive(whitespace)
	if p.Upcoming(quoteChars) {
		p.RouteTo(stateStringValue)
	} else {
		p.UnexpectedInput("a value")
	}
}
